import { Component } from "react";
import "../style/Tip.css";
interface State {
    compact: boolean;
    text: string;
    selectedValueForRadio: string;
    selectedValueForSelect: string;
}
interface Props {
    onConfirm: (comment: {
        text: string;
        selectedValueForRadio: string;
        selectedValueForSelect: string;
    }) => void;
    onOpen: () => void;
    onUpdate?: () => void;
    radioOptions?: string[];
    valueOptions?: string[];
}
export declare class Tip extends Component<Props, State> {
    state: State;
    componentDidUpdate(nextProps: Props, nextState: State): void;
    optionsValues: (options: any) => any;
    render(): JSX.Element;
}
export default Tip;
